<? 
	$DEFINITIONS = Zend_Registry::get('defines');
?>

<div class="errors-container mt-10" id="errors-container" style="display: none;">
    <div class="section-subtitle uppercase">
        <?= __('errors') ?>
    </div>
    <div class="box-section">
        <ol>
            <li class="visible-on-error">
                <p id="validation-services_offered_for_error"></p>
                <p id="validation-country_id"></p>
                <p id="validation-travel_place" class="text-danger m-0"></p>
                <p id="validation-not_allowed_to_add_city_from_different_countries" class="text-danger m-0"></p>
            </li>
        </ol>
    </div>
</div>
<? if($this->user->id !== 9199) : ?>

<div class="form-wrapper hash-sesction" data-scroll-anchor="working-cities">
	<form class="form ajax-form" action="<?= $this->getLink('edit-profile')?>?step=working-cities&escort=<?= $this->escort_id ?>" method="post">
		<input type="hidden" name="escort" value="<?= $this->escort_id ?>" />

<!--		<div class="section-subtitle uppercase">-->
<!--			--><?//= __('working-cities') ?>
<!--		</div>-->

        <input type="hidden" id="max_working_cities" value="<?= Cubix_Application::getById()->max_working_cities ?>" />
		<input type="hidden" id="cities_count" value="<?= count($this->data['cities']) ?>" />
		<input type="hidden" id="city_zone_count" value="<?= count($this->data['cityzones']) ?>" />
		<input type='hidden' id="city_count_error" value="<?= __('pv2_cities_limit_exceeded', array('MAX_COUNT'=>Cubix_Application::getById()->max_working_cities)); ?>">
		<input type='hidden' id="city_remove_base_error" value="<?= __('pv2_cities_base_already_selected'); ?>">


		<div class="box-section inputs-container">
			<p class="text-grey"><?= __('tab_working_cities_city_desc') ?></p>
			<p class="text-grey"><?= __('premium_cities_notify_us_fr') ?></p>
			<p class="text-grey change-premium-country"></p>
			<div class="clear mb-10"></div>
			<div class="d-flex div-2-cols">
				<div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
					<div class="dropdown">
						<select class="single-option-select d-none" id="country" name="country_id" data-op-id="<?=$this->package_country['op_id']?>" data-curr-country="<?=$this->country_id?>" data-pc="<?=($this->package_country['country_id']) ? $this->package_country['country_id'] : "";?>" data-pc-type="<?=(isset($this->package_country['country_type'])) ? $this->package_country['country_type'] : "";?>">
							<? foreach ( $this->countries as $country ): ?>
								<? if($country->id == $this->country_id) $primary_country = $country->title ?>
								<option value="<?= $country->id ?>" <?=$country->id == $this->country_id ? ' selected="selected"' : '' ?>>
									<?= $country->title ?>
								</option>
							<? endforeach ?>
						</select>
						<a class="dropdown-toggle" id="countryFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<label><?= __('pv2_label_country') ?></label>
							<span class="dropdown-toggle-val uppercase <?= $primary_country ? '' : 'pristine' ?>">
								<?= $primary_country ? $primary_country : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?>
							</span>
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu dropdown-cbaseCityFilterustom dropdown-custom dropdown-small dropdown-grey" data-type="countryFilter">
							<? foreach ( $this->countries as $country ): ?>
								<li data-val="<?= $country->id ?>"><a href="javascript:void(0)"><?= $country->title ?></a></li>
							<? endforeach ?>
						</ul>
					</div>
				</div>
				<div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
					<div class="dropdown">
						<select class="single-option-select d-none" name="city_id" id="base-city">
							<? foreach ( $this->cities as $city ): ?>
								<? if($city->id == $this->data['city_id']) $primary_city = $city->title ?>
								<option value="<?= $city->id ?>" <?=$city->id == $this->data['city_id'] ? ' selected="selected"' : '' ?> >
									<?= $city->title ?>
								</option>
							<? endforeach; ?>
						</select>
						<a class="dropdown-toggle corner-asterisk" id="baseCityFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<label><?= __('base_city') ?></label>
							<span class="dropdown-toggle-val uppercase <?= $primary_city ? '' : 'pristine' ?> "><?= $primary_city ? $primary_city : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="baseCityFilter">
							<? foreach ( $this->cities as $city ): ?>
								<li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?></a></li>
							<? endforeach; ?>
						</ul>
					</div>
				</div>
			</div>
            <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
				<div class="dropdown" <?= count($this->cities) <= 1 ? 'disabled' : '' ?>>
					<select class="single-option-select d-none" id="cities">
						<? foreach ( $this->cities as $city ): ?>
                            <? if($this->data['city_id'] == $city->id) continue; ?>
                            <option <?=$city->id == $this->data['city_id'] ? ' disabled="disabled"' : '' ?> value="<?= $city->id ?>">
								<?= $city->title ?>
							</option>
						<? endforeach; ?>
					</select>
					<a class="dropdown-toggle" id="otherCitiesFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
						<label><?= __('pv2_label_city') ?></label>
						<span class="dropdown-toggle-val uppercase pristine"><span class="nothing-selected"><?= __('nothing_selected') ?></span></span>
						<span class="caret"></span>
					</a>
					<ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="otherCitiesFilter">
						<? foreach ( $this->cities as $city ): ?>
                            <? if($this->data['city_id'] == $city->id) continue; ?>
							<li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?></a></li>
						<? endforeach; ?>
					</ul>
				</div>
			</div>
			<div class="clear mb-20"></div>
			<div class="d-flex justify-content-end"> 
				<div class="btn btn-blue-dark uppercase add-other-city-trigger <?= count($this->cities) <= 1 ? 'disabled' : '' ?>" <?= count($this->cities) <= 1 ? 'disabled' : '' ?> id="add-city"><?= __('add_city') ?></div>
			</div>
			<p class="text-grey"><?= __('my_other_cities') ?></p>
			<div class="other-cities-container">
				<? $m_cities = new Model_Cities(); ?>
					<? foreach( $this->data['cities'] as $city ): ?>
					<? 
							$city = $m_cities->getById($city['city_id']); 
							if($city->id == $this->data['city_id']){
								continue;
							}
							if ( $this->country_id != $city->country_id ) {
								$admin_cities[] = $city;
							}
						?>
					
					<div class="other-city justify-content-between">
						<? //if ( $this->country_id == $city->country_id ): //admins allowed to add cities from another coutnries ?>
							<div class="city-name"><?= $city->title ?>  <span class="text-grey">(<?= $city->country_title ?>)</span></div>
						<? //endif; ?>
						<div class="city-remove text-grey d-flex align-items-center w-max-content">
							<p class="uppercase"><?= __('remove') ?></p>
							<i class="fa fa-times"></i>
							<input value="<?= $city->id ?>" name="cities[]" type="hidden">
						</div>
					</div>
				<? endforeach; ?>
			</div>
		</div>
		<div class="d-flex flex-wrap w-100 flex-md-nowrap mt-2">
			<div class="siblings-col flex-fill mr-20">
				<div class="section-subtitle uppercase"><?= __('pv2_label_incall') ?></div>
				<div class="box-section inputs-container calling_section">
					<div>
						<input type="checkbox" id="incall_check" name="incall" value="1" <?=$this->data['incall_type'] ? ' checked="checked"' : '' ?>>
						<label for="incall_check"><?= __('pv2_label_incall') ?></label>
					</div>
					<div class="clear mb-10"></div>
					<div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
						<input id="zip" type="text" name="zip" value="<?= $this->data['zip'] ?>" placeholder="<?= __('pv2_label_zip_code') ?>" <?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> >
					</div>
					<div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
						<div class="dropdown" <?= $this->data['incall_type'] ? '' : 'disabled' ?> >

							<?
								$incall_types = [
									['text' => __('pv2_label_private_apartment'),'id' => AVAILABILITY_INCALL_PRIVATE_APARTMENT],
									['text' => __('pv2_label_hotel_room'),'id' => AVAILABILITY_INCALL_HOTEL_ROOM],
									['text' => __('pv2_label_club_studio'),'id' => AVAILABILITY_INCALL_CLUB_STUDIO],
									['text' => __('pv2_label_incall_other'),'id' => AVAILABILITY_INCALL_OTHER]
								];
							?>

							<select class="single-option-select d-none"  name="incall_type" >
								<? foreach($incall_types as $item): ?>
									<? if($this->data['incall_type'] == $item['id']) $primary_incall_type = $item['text'] ?>
									<option value="<?= $item['id'] ?>" <?= $this->data['incall_type'] == $item['id'] ? ' selected="selected"' : '' ?>>
										<?= $item['text']; ?>
									</option>
								<? endforeach; ?>
							</select>


							<a class="dropdown-toggle" id="availableStatusFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<label><?= __('availble_for') ?></label>
								<span class="dropdown-toggle-val uppercase"><?= $primary_incall_type ? $primary_incall_type :  '<span class="nothing-selected">' . __('nothing_selected') . '</span>'?></span>
								<span class="caret"></span>
							</a>
							<ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="availableStatusFilter">
								<? foreach($incall_types as $item): ?>
									<li data-val="<?= $item['id'] ?>"><a href="javascript:void(0)"><?= $item['text'] ?></a></li>
								<? endforeach; ?>
							</ul>
						</div>
					</div>
					<div class="<?=$this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? 'd-flex' :
                        'd-none' ?>  dropdown-selection dropdown-rates single-option flex-fill">
						<div class="dropdown" <?=$this->data['incall_type'] ? '' : 'disabled' ?>>
							<select class="single-option-select d-none" name="incall_hotel_room">
								<? for($i = 1; $i <= 5; $i++): ?>
									<option value="<?= $i ?>" <?=$this->data['incall_hotel_room'] == $i ? 'selected="selected"' : '' ?>>
										<?= $i ?>
									</option>
								<? endfor; ?>
							</select>
							<a class="dropdown-toggle" id="starsFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<label><?= __('pv2_label_stars') ?></label>
								<span class="dropdown-toggle-val">
									<? for($i = 1; $i <= 5; $i++): ?>
										<i class="fas fa-star <?= $this->data['incall_hotel_room'] >= $i ? ' active' : '' ?>"></i>
									<? endfor; ?>
								</span>
								<span class="caret"></span>
							</a>
							<ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="starsFilter">
								<? for($i = 1; $i <= 5; $i++): ?>
									<li data-val="<?= $i ?>"><a href="javascript:void(0)">
										<? for($j = 1; $j <= 5; $j++): ?>
											<i class="fas fa-star <?= $j <= $i ? 'active' : '' ?>"></i>
										<? endfor; ?>
									</a></li>
								<? endfor; ?>
							</ul>
						</div>
					</div>
                    <?
                    if ($this->data['showInCallAndOutCallFreeTextBlocks'] == true) { ?>
                        <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
                            <textarea rows="3" placeholder="<?= __('details_here') ?>" id="incall-other-details" name="incall_other" <?= $this->data['incall_type'] ? '' : ' disabled' ?>><?= $this->data['incall_other'] ?></textarea>
                        </div>
                    <? } ?>



				</div>
			</div>

			<!-- OUTCALL -->
			<div class="siblings-col flex-fill d-flex flex-column">
				<div class="section-subtitle uppercase"><?= __('pv2_label_outcall') ?></div>
				<div class="box-section sibling-height inputs-container calling_section flex-grow-2 pb-0 h-100">
					<div>
						<input type="checkbox" id="outcall_check" name="outcall" value="1" <?= $this->data['outcall_type'] ? ' checked="checked"' : '' ?>>
						<label for="outcall_check"><?= __('pv2_label_outcall') ?></label>
					</div>
					<div class="clear mb-10"></div>
					<div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">

						<?
							$outcall_types = [
								['text' => __('pv2_label_hotel_visits_only'),'id' => AVAILABILITY_OUTCALL_HOTEL_VISITS],
								['text' => __('pv2_label_home_visits_only'),'id' => AVAILABILITY_OUTCALL_HOME_VISITS],
								['text' => __('outcall_type'),'id' => AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS],
								['text' => __('pv2_label_outcall_other'),'id' => AVAILABILITY_OUTCALL_OTHER]
							];
						?>

						<div class="dropdown" <?= $this->data['outcall_type'] ? '' : 'disabled' ?>>
							<select class="single-option-select d-none" name="outcall_type">
								<? foreach($outcall_types as $item): ?>
								<? if($this->data['outcall_type'] == $item['id']) $primary_outcall_type = $item['text'] ?>
									<option value="<?= $item['id'] ?>" <?=$this->data['outcall_type'] == $item['id'] ? ' selected="selected"' : '' ?>>
										<?= $item['text'] ?>
									</option>
								<? endforeach ?>
							</select>
							<a class="dropdown-toggle" id="outcallAvailableFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<label><?= __('availble_for') ?></label>
								<span class="dropdown-toggle-val uppercase"><?= $primary_outcall_type ? $primary_outcall_type : '<span class="nothing-selected">' .__('nothing_selected') . '</span>' ?></span>
								<span class="caret"></span>
							</a>
							<ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="outcallAvailableFilter">
								<? foreach($outcall_types as $item): ?>
									<li data-val="<?= $item['id'] ?>"><a href="javascript:void(0)"><?= $item['text'] ?></a></li>
								<? endforeach ?>
							</ul>
						</div>
					</div>
                    <?
                    if ($this->data['showInCallAndOutCallFreeTextBlocks'] == true) { ?>
                        <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
						<textarea id="outcall-other-details" placeholder="<?= __('details_here') ?>" rows="3"
                                  name="outcall_other" <?=$this->data['outcall_type'] ? '' : ' disabled' ?>><?= $this->data['outcall_other'] ?></textarea>
                        </div>
                    <? } ?>
				</div>
			</div>
		</div>
		<div class="section-subtitle uppercase"><?= __('pv2_section_travel_locations') ?></div>
		<div class="box-section inputs-container">
			<p class="text-grey"><?= __('tab_working_cities_travel_desc') ?></p>
			<div class="clear mb-10"></div>
			<div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
				<?
					$travel_locations = [
						['id' => TRAVEL_NO_TRAVEL, 'text' => $DEFINITIONS['travel_places'][TRAVEL_NO_TRAVEL]],
						['id' => TRAVEL_WORLDWIDE_E_USA, 'text' => $DEFINITIONS['travel_places'][TRAVEL_WORLDWIDE_E_USA]],
						['id' => TRAVEL_WORLDWIDE_I_USA, 'text' => $DEFINITIONS['travel_places'][TRAVEL_WORLDWIDE_I_USA]],
						['id' => TRAVEL_EUROPE, 'text' => $DEFINITIONS['travel_places'][TRAVEL_EUROPE]],
						['id' => TRAVEL_NATIONWIDE, 'text' => $DEFINITIONS['travel_places'][TRAVEL_NATIONWIDE]],
					];
					if (empty($this->travel_place) and empty($this->data['travel_place'])) {
                        $this->travel_place = TRAVEL_NO_TRAVEL;
                    }
				?>
				<div class="dropdown" data-error="travel_place">
					<select class="single-option-select d-none" name="travel_place">
						<? foreach ($travel_locations as $item) : ?>
						<? if($this->travel_place == $item['id'] || $this->data['travel_place'] == $item['id']) $primary_travel_place = $item['text'] ?>
							<option value="<?= $item['id'] ?>"
									<?=($this->travel_place == $item['id'] || $this->data['travel_place'] == $item['id']) ? 'selected="selected"' : ''; ?>>
								<?= $item['text'] ?>
							</option>
						<? endforeach; ?>
					</select>
					<a class="dropdown-toggle" id="travelLocationFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
						<label><?= __('pv2_section_travel_locations') ?></label>
						<span class="dropdown-toggle-val uppercase"><?= $primary_travel_place ? $primary_travel_place : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
						<span class="caret"></span>
					</a>
					<ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="travelLocationFilter">
                        <? foreach ($travel_locations as $item) : ?>
							<li data-val="<?= $item['id'] ?>"><a href="javascript:void(0)"><?= $item['text'] ?></a></li>
						<? endforeach; ?>
					</ul>
				</div>
			</div>
		</div>

        <div class="d-flex bottom-actions-panel align-items-center">
            <a class="uppercase text-grey mr-30 discard"><?= __('reset') ?></a>
            <button class="btn btn-big btn-brown btn-bold uppercase submit"><?= __('pv2_save_changes') ?></button>
        </div>
        <div class="clear mb-40"></div>
	</form>

</div>

<? endif; ?>


<? if($this->user->id == 9199) : ?>
    <style>
        body{
            font-family: "Roboto Light", sans-serif;
        }
        .discard{
            color: #CC1010!important;
        }
        .btn{
            border-radius: 4px;
            font-family: 'Roboto', sans-serif;
        }
        .bottom-actions-panel{
            font-family: "Roboto Light", sans-serif;
        }
        .mce-panel{
            border: 1px solid #fff;
        }
        .grid-2fr{
            display: grid;
            grid-template-columns: repeat(2, 1fr);
        }
        .grid-3fr{
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            grid-gap: 20px;
        }
        .grid{
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            grid-gap: 20px;
        }
        .new-cont{
            border-radius: 4px;
            border: 1px solid #DBDEE3;
            padding: 50px;
        }
        .section-subtitle{
            font-size: 18px!important;
            margin-bottom: 40px;
        }
        .box-section.keywords-section{
            padding: 0;
        }
        .box-section.keywords-section .button-tap{
            padding: 10px 20px;
            border-radius: 0;
        }
        .bottom-actions-panel{
            margin-top: 20px;
        }
        .box-section{
            margin-bottom: 20px;
        }
        .grid-4fr{
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            grid-gap: 20px;
        }
        @media only screen and (max-width: 600px) {
            .grid-4fr{
                display: grid;
                grid-template-columns: repeat(1, 1fr);
                grid-gap: 20px;
            }
            .grid-3fr{
                display: grid;
                grid-template-columns: repeat(1, 1fr);
                grid-gap: 20px;
            }
            .new-cont, .last-7-days-container, .profile-overview-cont, .notifications-cont{
                padding: 40px 20px 40px 20px;
                border-top: 1px solid #DBDEE3;
                border-bottom: 1px solid #fff;
            }
            .grid-2fr{
                grid-template-columns: 1fr;
                grid-template-rows: 2fr;
            }
            .block-country-trigger{
                margin-left: 0;
                margin-top: 20px;
            }
            .bottom-actions-panel>button{
                position: relative!important;
                font-size: 18px!important;
                width: 50% !important;
            }
            .grid-3fr, .grid{
                grid-template-columns: 1fr;
            }
            .bottom-actions-panel{
                flex-direction: column;
            }
            .upd-cont{
                padding: 0 0 0 20px;
            }
            .overview-item:not(:last-child){
                border-bottom: 1px solid #eeeff1!important;
            }

            .profile-overview-cont{
                padding: 40px 20px 0 20px;
            }
            body.private-area main{
                padding: 0;
            }
            .box-section .autocomplete-container textarea{
                padding: 10px 10px 30px 10px;
                background-color: #f4f5f7;
                border: none;
            }
            .section-subtitle{
                margin-bottom: 20px!important;
            }
            .l7d-logo{
                display: none;
            }
            .l7d-stats{
                display: flex;
                width: 100%;
                justify-content: space-between;
                flex-direction: column;
            }
            .l7d-item{
                flex-direction: row-reverse;
            }
            .l7d-item:not(:last-child ){
                border-bottom: 1px solid #DBDEE3;
            }
            .last-7-days-container{
                flex-direction: column;
            }
            #listing-views-count, #profile-views-count, #city-views-count{
                font-size: 36px;
            }
            .l7d-logo-cont{
                border-bottom: none!important;
                width: 100%;
                justify-content: flex-end;
            }
            main .clear{
                display: none;
            }
            body.private-area{
                padding-bottom: 0;
            }
            #add-bubble-text{
                margin-top: 20px!important;
            }
            .siblings-col{
              max-width: 100%!important;
            }
        }
    </style>

    <div class="form-wrapper hash-sesction" data-scroll-anchor="working-cities">
        <form class="form ajax-form" action="<?= $this->getLink('edit-profile')?>?step=working-cities&escort=<?= $this->escort_id ?>" method="post">
            <input type="hidden" name="escort" value="<?= $this->escort_id ?>" />
            <input type="hidden" id="max_working_cities" value="<?= Cubix_Application::getById()->max_working_cities ?>" />
            <input type="hidden" id="cities_count" value="<?= count($this->data['cities']) ?>" />
            <input type="hidden" id="city_zone_count" value="<?= count($this->data['cityzones']) ?>" />
            <input type='hidden' id="city_count_error" value="<?= __('pv2_cities_limit_exceeded', array('MAX_COUNT'=>Cubix_Application::getById()->max_working_cities)); ?>">
            <input type='hidden' id="city_remove_base_error" value="<?= __('pv2_cities_base_already_selected'); ?>">


            <div class="box-section inputs-container new-cont">
                <div class="section-subtitle uppercase">
                    <?= __('working-cities') ?>
                </div>
                <p class="text-grey"><?= __('tab_working_cities_city_desc') ?></p>
                <p class="text-grey"><?= __('premium_cities_notify_us_fr') ?></p>
                <p class="text-grey change-premium-country"></p>
                <div class="clear mb-10"></div>
                <div class="grid-3fr">
                    <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none" id="country" name="country_id" data-op-id="<?=$this->package_country['op_id']?>" data-curr-country="<?=$this->country_id?>" data-pc="<?=($this->package_country['country_id']) ? $this->package_country['country_id'] : "";?>" data-pc-type="<?=(isset($this->package_country['country_type'])) ? $this->package_country['country_type'] : "";?>">
                                <? foreach ( $this->countries as $country ): ?>
                                    <? if($country->id == $this->country_id) $primary_country = $country->title ?>
                                    <option value="<?= $country->id ?>" <?=$country->id == $this->country_id ? ' selected="selected"' : '' ?>>
                                        <?= $country->title ?>
                                    </option>
                                <? endforeach ?>
                            </select>
                            <a class="dropdown-toggle" id="countryFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <label><?= __('pv2_label_country') ?></label>
                                <span class="dropdown-toggle-val uppercase <?= $primary_country ? '' : 'pristine' ?>">
								<?= $primary_country ? $primary_country : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?>
							</span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-cbaseCityFilterustom dropdown-custom dropdown-small dropdown-grey" data-type="countryFilter">
                                <? foreach ( $this->countries as $country ): ?>
                                    <li data-val="<?= $country->id ?>"><a href="javascript:void(0)"><?= $country->title ?></a></li>
                                <? endforeach ?>
                            </ul>
                        </div>
                    </div>
                    <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                        <div class="dropdown">
                            <select class="single-option-select d-none" name="city_id" id="base-city">
                                <? foreach ( $this->cities as $city ): ?>
                                    <? if($city->id == $this->data['city_id']) $primary_city = $city->title ?>
                                    <option value="<?= $city->id ?>" <?=$city->id == $this->data['city_id'] ? ' selected="selected"' : '' ?> >
                                        <?= $city->title ?>
                                    </option>
                                <? endforeach; ?>
                            </select>
                            <a class="dropdown-toggle corner-asterisk" id="baseCityFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <label><?= __('base_city') ?></label>
                                <span class="dropdown-toggle-val uppercase <?= $primary_city ? '' : 'pristine' ?> "><?= $primary_city ? $primary_city : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="baseCityFilter">
                                <? foreach ( $this->cities as $city ): ?>
                                    <li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?></a></li>
                                <? endforeach; ?>
                            </ul>
                        </div>
                    </div>
                    <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                        <div class="dropdown" <?= count($this->cities) <= 1 ? 'disabled' : '' ?>>
                            <select class="single-option-select d-none" id="cities">
                                <? foreach ( $this->cities as $city ): ?>
                                    <? if($this->data['city_id'] == $city->id) continue; ?>
                                    <option <?=$city->id == $this->data['city_id'] ? ' disabled="disabled"' : '' ?> value="<?= $city->id ?>">
                                        <?= $city->title ?>
                                    </option>
                                <? endforeach; ?>
                            </select>
                            <a class="dropdown-toggle" id="otherCitiesFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <label><?= __('pv2_label_city') ?></label>
                                <span class="dropdown-toggle-val uppercase pristine"><span class="nothing-selected"><?= __('nothing_selected') ?></span></span>
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="otherCitiesFilter">
                                <? foreach ( $this->cities as $city ): ?>
                                    <? if($this->data['city_id'] == $city->id) continue; ?>
                                    <li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?></a></li>
                                <? endforeach; ?>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="clear mb-20"></div>
                <div class="d-flex justify-content-end">
                    <div class="btn btn-blue-dark uppercase add-other-city-trigger <?= count($this->cities) <= 1 ? 'disabled' : '' ?>" <?= count($this->cities) <= 1 ? 'disabled' : '' ?> id="add-city"><?= __('add_city') ?></div>
                </div>
                <p class="text-grey"><?= __('my_other_cities') ?></p>
                <div class="other-cities-container">
                    <? $m_cities = new Model_Cities(); ?>
                    <? foreach( $this->data['cities'] as $city ): ?>
                        <?
                        $city = $m_cities->getById($city['city_id']);
                        if($city->id == $this->data['city_id']){
                            continue;
                        }
                        if ( $this->country_id != $city->country_id ) {
                            $admin_cities[] = $city;
                        }
                        ?>

                        <div class="other-city justify-content-between">
                            <? //if ( $this->country_id == $city->country_id ): //admins allowed to add cities from another coutnries ?>
                            <div class="city-name"><?= $city->title ?>  <span class="text-grey">(<?= $city->country_title ?>)</span></div>
                            <? //endif; ?>
                            <div class="city-remove text-grey d-flex align-items-center w-max-content">
                                <p class="uppercase"><?= __('remove') ?></p>
                                <i class="fa fa-times"></i>
                                <input value="<?= $city->id ?>" name="cities[]" type="hidden">
                            </div>
                        </div>
                    <? endforeach; ?>
                </div>
            </div>
            <div class="grid new-cont box-section">
                <div class="siblings-col flex-fill mr-20">
                    <div class="section-subtitle uppercase"><?= __('pv2_label_incall') ?></div>
                    <div class="box-section inputs-container calling_section">
                        <div>
                            <input type="checkbox" id="incall_check" name="incall" value="1" <?=$this->data['incall_type'] ? ' checked="checked"' : '' ?>>
                            <label for="incall_check"><?= __('pv2_label_incall') ?></label>
                        </div>
                        <div class="clear mb-10"></div>
                        <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                            <input id="zip" type="text" name="zip" value="<?= $this->data['zip'] ?>" placeholder="<?= __('pv2_label_zip_code') ?>" <?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> >
                        </div>
                        <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                            <div class="dropdown" <?= $this->data['incall_type'] ? '' : 'disabled' ?> >

                                <?
                                $incall_types = [
                                    ['text' => __('pv2_label_private_apartment'),'id' => AVAILABILITY_INCALL_PRIVATE_APARTMENT],
                                    ['text' => __('pv2_label_hotel_room'),'id' => AVAILABILITY_INCALL_HOTEL_ROOM],
                                    ['text' => __('pv2_label_club_studio'),'id' => AVAILABILITY_INCALL_CLUB_STUDIO],
                                    ['text' => __('pv2_label_incall_other'),'id' => AVAILABILITY_INCALL_OTHER]
                                ];
                                ?>

                                <select class="single-option-select d-none"  name="incall_type" >
                                    <? foreach($incall_types as $item): ?>
                                        <? if($this->data['incall_type'] == $item['id']) $primary_incall_type = $item['text'] ?>
                                        <option value="<?= $item['id'] ?>" <?= $this->data['incall_type'] == $item['id'] ? ' selected="selected"' : '' ?>>
                                            <?= $item['text']; ?>
                                        </option>
                                    <? endforeach; ?>
                                </select>


                                <a class="dropdown-toggle" id="availableStatusFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <label><?= __('availble_for') ?></label>
                                    <span class="dropdown-toggle-val uppercase"><?= $primary_incall_type ? $primary_incall_type :  '<span class="nothing-selected">' . __('nothing_selected') . '</span>'?></span>
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="availableStatusFilter">
                                    <? foreach($incall_types as $item): ?>
                                        <li data-val="<?= $item['id'] ?>"><a href="javascript:void(0)"><?= $item['text'] ?></a></li>
                                    <? endforeach; ?>
                                </ul>
                            </div>
                        </div>
                        <div class="<?=$this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? 'd-flex' :
                            'd-none' ?>  dropdown-selection dropdown-rates single-option flex-fill">
                            <div class="dropdown" <?=$this->data['incall_type'] ? '' : 'disabled' ?>>
                                <select class="single-option-select d-none" name="incall_hotel_room">
                                    <? for($i = 1; $i <= 5; $i++): ?>
                                        <option value="<?= $i ?>" <?=$this->data['incall_hotel_room'] == $i ? 'selected="selected"' : '' ?>>
                                            <?= $i ?>
                                        </option>
                                    <? endfor; ?>
                                </select>
                                <a class="dropdown-toggle" id="starsFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <label><?= __('pv2_label_stars') ?></label>
                                    <span class="dropdown-toggle-val">
									<? for($i = 1; $i <= 5; $i++): ?>
                                        <i class="fas fa-star <?= $this->data['incall_hotel_room'] >= $i ? ' active' : '' ?>"></i>
                                    <? endfor; ?>
								</span>
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="starsFilter">
                                    <? for($i = 1; $i <= 5; $i++): ?>
                                        <li data-val="<?= $i ?>"><a href="javascript:void(0)">
                                                <? for($j = 1; $j <= 5; $j++): ?>
                                                    <i class="fas fa-star <?= $j <= $i ? 'active' : '' ?>"></i>
                                                <? endfor; ?>
                                            </a></li>
                                    <? endfor; ?>
                                </ul>
                            </div>
                        </div>
                        <?
                        if ($this->data['showInCallAndOutCallFreeTextBlocks'] == true) { ?>
                            <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
                                <textarea rows="3" placeholder="<?= __('details_here') ?>" id="incall-other-details" name="incall_other" <?= $this->data['incall_type'] ? '' : ' disabled' ?>><?= $this->data['incall_other'] ?></textarea>
                            </div>
                        <? } ?>



                    </div>
                </div>

                <!-- OUTCALL -->
                <div class="siblings-col flex-fill d-flex flex-column">
                    <div class="section-subtitle uppercase"><?= __('pv2_label_outcall') ?></div>
                    <div class="box-section sibling-height inputs-container calling_section flex-grow-2 pb-0 h-100">
                        <div>
                            <input type="checkbox" id="outcall_check" name="outcall" value="1" <?= $this->data['outcall_type'] ? ' checked="checked"' : '' ?>>
                            <label for="outcall_check"><?= __('pv2_label_outcall') ?></label>
                        </div>
                        <div class="clear mb-10"></div>
                        <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">

                            <?
                            $outcall_types = [
                                ['text' => __('pv2_label_hotel_visits_only'),'id' => AVAILABILITY_OUTCALL_HOTEL_VISITS],
                                ['text' => __('pv2_label_home_visits_only'),'id' => AVAILABILITY_OUTCALL_HOME_VISITS],
                                ['text' => __('outcall_type'),'id' => AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS],
                                ['text' => __('pv2_label_outcall_other'),'id' => AVAILABILITY_OUTCALL_OTHER]
                            ];
                            ?>

                            <div class="dropdown" <?= $this->data['outcall_type'] ? '' : 'disabled' ?>>
                                <select class="single-option-select d-none" name="outcall_type">
                                    <? foreach($outcall_types as $item): ?>
                                        <? if($this->data['outcall_type'] == $item['id']) $primary_outcall_type = $item['text'] ?>
                                        <option value="<?= $item['id'] ?>" <?=$this->data['outcall_type'] == $item['id'] ? ' selected="selected"' : '' ?>>
                                            <?= $item['text'] ?>
                                        </option>
                                    <? endforeach ?>
                                </select>
                                <a class="dropdown-toggle" id="outcallAvailableFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <label><?= __('availble_for') ?></label>
                                    <span class="dropdown-toggle-val uppercase"><?= $primary_outcall_type ? $primary_outcall_type : '<span class="nothing-selected">' .__('nothing_selected') . '</span>' ?></span>
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="outcallAvailableFilter">
                                    <? foreach($outcall_types as $item): ?>
                                        <li data-val="<?= $item['id'] ?>"><a href="javascript:void(0)"><?= $item['text'] ?></a></li>
                                    <? endforeach ?>
                                </ul>
                            </div>
                        </div>
                        <?
                        if ($this->data['showInCallAndOutCallFreeTextBlocks'] == true) { ?>
                            <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
						<textarea id="outcall-other-details" placeholder="<?= __('details_here') ?>" rows="3"
                                  name="outcall_other" <?=$this->data['outcall_type'] ? '' : ' disabled' ?>><?= $this->data['outcall_other'] ?></textarea>
                            </div>
                        <? } ?>
                    </div>
                </div>
            </div>
            <div class="box-section inputs-container new-cont">
                <div class="section-subtitle uppercase"><?= __('pv2_section_travel_locations') ?></div>

                <p class="text-grey"><?= __('tab_working_cities_travel_desc') ?></p>
                <div class="clear mb-10"></div>
                <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                    <?
                    $travel_locations = [
                        ['id' => TRAVEL_NO_TRAVEL, 'text' => $DEFINITIONS['travel_places'][TRAVEL_NO_TRAVEL]],
                        ['id' => TRAVEL_WORLDWIDE_E_USA, 'text' => $DEFINITIONS['travel_places'][TRAVEL_WORLDWIDE_E_USA]],
                        ['id' => TRAVEL_WORLDWIDE_I_USA, 'text' => $DEFINITIONS['travel_places'][TRAVEL_WORLDWIDE_I_USA]],
                        ['id' => TRAVEL_EUROPE, 'text' => $DEFINITIONS['travel_places'][TRAVEL_EUROPE]],
                        ['id' => TRAVEL_NATIONWIDE, 'text' => $DEFINITIONS['travel_places'][TRAVEL_NATIONWIDE]],
                    ];
                    if (empty($this->travel_place) and empty($this->data['travel_place'])) {
                        $this->travel_place = TRAVEL_NO_TRAVEL;
                    }
                    ?>
                    <div class="dropdown" data-error="travel_place">
                        <select class="single-option-select d-none" name="travel_place">
                            <? foreach ($travel_locations as $item) : ?>
                                <? if($this->travel_place == $item['id'] || $this->data['travel_place'] == $item['id']) $primary_travel_place = $item['text'] ?>
                                <option value="<?= $item['id'] ?>"
                                        <?=($this->travel_place == $item['id'] || $this->data['travel_place'] == $item['id']) ? 'selected="selected"' : ''; ?>>
                                    <?= $item['text'] ?>
                                </option>
                            <? endforeach; ?>
                        </select>
                        <a class="dropdown-toggle" id="travelLocationFilter" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <label><?= __('pv2_section_travel_locations') ?></label>
                            <span class="dropdown-toggle-val uppercase"><?= $primary_travel_place ? $primary_travel_place : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="travelLocationFilter">
                            <? foreach ($travel_locations as $item) : ?>
                                <li data-val="<?= $item['id'] ?>"><a href="javascript:void(0)"><?= $item['text'] ?></a></li>
                            <? endforeach; ?>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="d-flex bottom-actions-panel align-items-center">
                <a class="uppercase text-grey discard mr-30">
                    <?= __('reset') ?>
                </a>
                <button class="btn btn-big btn-brown btn-bold uppercase submit">
                    <?= __('pv2_save_changes') ?>
                </button>
            </div>
            <div class="clear mb-40"></div>
        </form>

    </div>

<? endif; ?>
